Skip to main content
`Ctrl`+`K`

# PetscDrawLGGetAxis

Gets the axis context associated with a line graph. This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the application code.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGGetAxis(PetscDrawLG lg, PetscDrawAxis *axis)

Not Collective, if lg is parallel then axis is parallel

## Input Parameter

- lg - the line graph context

## Output Parameter

- axis - the axis context

## See Also

`PetscDrawLGCreate()`, `PetscDrawAxis`, `PetscDrawLG`

## Level

advanced

## Location

src/sys/classes/draw/utils/lgc.c

## Examples

src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex69.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages